Locations
Put v1locations
PUT
/
v1
/
locations
/
{location_uuid}
cURL
curl --request PUT \
--url https://api.lighthousefh.com/v1/locations/{location_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city": "<string>",
"country": "<string>",
"manager_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>",
"state": "<string>",
"street_address_one": "<string>",
"street_address_two": "<string>",
"zip_code": "<string>"
}
'import requests
url = "https://api.lighthousefh.com/v1/locations/{location_uuid}"
payload = {
"city": "<string>",
"country": "<string>",
"manager_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"name": "<string>",
"state": "<string>",
"street_address_one": "<string>",
"street_address_two": "<string>",
"zip_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
city: '<string>',
country: '<string>',
manager_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
name: '<string>',
state: '<string>',
street_address_one: '<string>',
street_address_two: '<string>',
zip_code: '<string>'
})
};
fetch('https://api.lighthousefh.com/v1/locations/{location_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"city": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"manager_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>",
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"street_address_one": "<string>",
"street_address_two": "<string>",
"zip_code": "<string>"
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Location UUID
Body
application/json
⌘I
cURL
